package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class ApuracaoImpostoIPIPage extends PageBase {
    // Fitro
    By mensagemApuraImp = By.xpath("//*[.='OK']");
    By filtroApuracao = By.xpath("//div[@class=\"new-select input-text form-input-margin-bottom mousetrap form-control zh-text-align-{{field.align || 'left'}} ng-pristine ng-untouched ng-valid\"]");
    By filtroApuracaoFederal = By.xpath("//*[@data-value='0']");
    By filtroEmpresa = By.xpath("//span[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroEmpresaHela = By.xpath("//div[@data-ng-repeat=\"rowIndex in filtered = controller.getVisibleRowCount()\"]");
    By filtroImposto = By.xpath("//*[@id=\"DSIMPOSTONFE\"]//*[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroImpostoIpi = By.xpath("//div[@class=\"td zh-standard-column  grid-align-left\"]");


    By filtroAplicarFiltro = By.xpath("//span[text() = 'Aplicar filtro'][1]");

    By adicionarMapa = By.xpath("//a[@data-zh-title-tooltip = 'Adicionar (F2)']");

    By nomeMapaIpi = By.id("NMMAPAAPUR");

    By salvarMapaapurac = By.xpath("//div[@id='footer']//span[text() = 'Salvar']");

    By selecionarmapaapurac = By.xpath("//span[text() = 'Apuração de IPI']");

    By acoes = By.xpath("//span[@data-zh-bind-translate=\"'Actions'\"]");

    By apurar = By.xpath("//span[text() = 'Apurar']");

    By MensagemOk = By.xpath("//span[@data-ng-bind=\"button.label\"]");

    By bloquear = By.xpath("//span[text() = 'Bloquear']");

    By desbloquear = By.xpath("//span[text() = 'Desbloquear']");

    By cancelar = By.xpath("//span[@class=\"zh-footer-title-sprit ng-binding\"]");

    By excluir = By.xpath("//*[@data-zh-title-tooltip=\"Excluir (Ctrl + D)\"]");

    By sim = By.xpath("//span[text() = 'Sim']");

    By AdicionarNovoMapa = By.xpath("//div[@class=\"zh-test-box\"]");

    By loadingWait = By.xpath("//*[@class='zh-background-loading ng-scope']//span[@class='zh-loading-icon']");

    public void clicarOkMsgApuraImp(){
        click(mensagemApuraImp);
    }

    public void clicarEmTipodeapuracao(){
        click(filtroApuracao); click(filtroApuracaoFederal);
    }

    public void clicarEmEmpresa(){
        click(filtroEmpresa); click(filtroEmpresaHela);
    }

    public void clicarEmImposto(){
        click(filtroImposto); click(filtroImpostoIpi);
    }

    public void clicarAplicarFiltro(){
        click(filtroAplicarFiltro);
    }

    public void clicarAdicionarMapa() {
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(adicionarMapa);
    }

    public void preencherNomedomapa(String nomedomapa){
        click(nomeMapaIpi); sendKeys(nomeMapaIpi, nomedomapa);
    }


    public void clicarsalvarMapa(){
        click(salvarMapaapurac);
    }

    public void clicarEmMapaApuracao(){
        click(selecionarmapaapurac);
    }

    public void clicarEmAcoes(){
        click(acoes);
    }

    public void clicarEmApurar(){
        click(apurar);
    }

    public void clicarOk(){
        click(MensagemOk);
    }

    public void clicarEmBloquear(){
        click(bloquear);
    }

    public void clicarEmDesbloquear(){
        click(desbloquear);
    }

    public void clicarEmCancelar(){
        click(cancelar);
    }

    public void clicarEmExcluir(){
        click(excluir);
    }

    public void clicarEmSim(){
        click(sim);
    }

    public void clicarEmAdicionarNovoMapa(){
        click(AdicionarNovoMapa);
    }
}