package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.TipoDeDebitoBancarioFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.TipoDeDebitoBancarioFlows;
import com.javaseleniumtemplate.pages.TipoDeDebitoBancarioPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.TipoDeDebitoBancarioPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class TipoDeDebitoBancario extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.TipoDeDebitoBancarioFlows TipoDeDebitoBancarioFlows;
    com.javaseleniumtemplate.pages.TipoDeDebitoBancarioPage TipoDeDebitoBancarioPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        TipoDeDebitoBancarioFlows = new TipoDeDebitoBancarioFlows();
        TipoDeDebitoBancarioPage = new TipoDeDebitoBancarioPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";

        String ValorCodigo = "5";
        String NomeBanco = "BANCOTESTE";
        String NumeroNomeBanco = "99999";
        String NumeroMascara = "999999";
        String NumeroCodigoDoBancoNaCameraDeCompensacao = "321";
        String NumeroBancoConveniado = "26";
        String NumeroDiasParaProrrogacao = "10";

        String ValorNumero = "104";



        String NumeroDiasParaProtesto1 = "10";
        String NumeroIdentPagar = "06";
        String NumeroIdentReceber = "07";

        String CodigoCobranca = "26";
        String NomeInstrucaCobranca = "Banco Teste";
        String NumeroBancoInstrucaCobranca = "101";
        String DescricaoDiretorioImportacao = "LocalHost";
        String DescricaoEmailDestinatario = "testando@hotmail.com";

        String ProcurarTDB = "Tipo de Debito Bancário";

        String CodigoTDB = "2";

        String NomeTDB = "Tipo Teste";


        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();


        // Aguardar Botão de Confirmação(Alerta: Sim)
        TipoDeDebitoBancarioPage.AlertaUsuario();

        //Navegar até o Tipo de Débito Bancário
        TipoDeDebitoBancarioPage.navegarTipoDeDebitoBancario(ProcurarTDB);

        //Filtrar o Tipo de Débito Bancário
        TipoDeDebitoBancarioPage.Filtro();

        //Adicionar o Tipo de Débito Bancário
        TipoDeDebitoBancarioPage.AdicionarTipoDeDebitoBancario(CodigoTDB,NomeTDB);



    }
}