package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class TitulosAPagarPage extends PageBase {
    //Mapear tela

    //Filtro
    By filtroTituloPagarNomeEmpresa = By.id("NMEMPRESA");
    By filtroTituloPagarVencimento = By.id("DTVENBOLPAG");

    //Ações
    By aplicarFiltroTituloPagar = By.xpath("//span[text()= 'Aplicar filtro']");
    By fecharFiltroTituloPagar = By.xpath("//span[text()='Fechar']");
    By limparDadosFiltroTituloPagar = By.xpath("//*[@data-zh-title-tooltip='Clear Filter (Ctrl+Backspace)']");
    By adicionarTituloPagar = By.xpath("//*[@data-zh-title-tooltip='Adicionar (F2)']");
    By adicionarAjusteTituloPagar = By.xpath("//*[@data-zh-id='10511995312098523816645']");
    By salvarTituloPagar = By.xpath("//span[text()= 'Salvar']");
    By voltarTituloPagar = By.xpath("//span[text()= 'Voltar']");
    By cancelaTituloPagar = By.xpath("//span[text()= 'Cancelar']");
    By salvarAlteracoesTituloPagar = By.xpath("//span[text()= 'Salvar alterações']");
    By excluirTituloPagar = By.xpath("//*[@data-zh-id='1051199531481240623655']");
    By editarTituloPagar = By.xpath("//*[@data-zh-id='105119953138489035461406']");
    By confirmaRegistroTituloPagar = By.xpath("//*[@class='zh-container-alert']//span[text()= 'OK']");
    By confirmarSimTituloPagar = By.xpath("//*[@data-zh-id=\"zh-footer-alert-button-0\"]");
    By gerarRemessaTituloPagar = By.xpath("//span[text()= 'Gerar Remessa Título']");
    By cancelaRemessaTituloPagar = By.xpath("//span[text()= 'Cancelar Remessa Título']");
    By confirmaCancelaRemessaTituloPagar = By.xpath("/html/body/span/section/section/div[2]/aside[1]/aside/section/footer/button[1]/span");
    By confirmarTituloPagar = By.xpath("//span[text()= 'Confirmar']");
    By confirmaBaixaSimTituloPagar = By.xpath("//span[text()= 'Sim']");
    By confirmaCadastroBaixaTituloPagar = By.xpath("//*[@data-zh-id='1051199531883363879380']");
    By baixarTituloPagar = By.xpath("//*[@data-zh-id='10511995314988861821428']");
    By cancelaBaixaTituloPagar = By.xpath("//*[@data-zh-id='105119953112816044101432']");
    By prorrogarTituloPagar = By.xpath("//*[@data-zh-id='105119953118966564951416']");
    By anteciparTituloPagar = By.xpath("//*[@data-zh-id='105119953137123939401418']");
    By finalizarTituloPagar = By.xpath("//span[text()= 'Finalizar']");
    By cadastramentoAutTituloPagar = By.xpath("//span[text()= 'Cadastramento Automático']");


    //Campos cadastro inicial de Titulos a Pagar
    By limparDataFiltroTituloPagar = By.xpath("//*[@id='DTVENBOLPAG']//*[@id='close-x']");
    By clicarDocumentoFiltroTituloPagar = By.xpath("//span[text()= 'Documento']");
    By clicarTituloPagarAlterar = By.xpath("//span[text()= 'LEANDRO HENRIQUE FERREIRA FORNECEDOR']");
    By nfInicialFiltroTituloPagar = By.xpath("//*[@id='NRNOTAFISCINI']");
    By nfFinalFiltroTituloPagar = By.xpath("//*[@id='NRNOTAFISCFIN']");
    By unidadeOrigemTituloPagar = By.id("NMFILIALRECE");
    By limparUnidadeOrigemTituloPagar = By.xpath("//*[@id='NMFILIALRECE']//*[@id='close-x']");
    By procuraUnidadeOrigemTituloPagar = By.xpath("//*[@id='NMFILIALRECE']/span");
    By fornecedorTituloPagar = By.id("NMRAZSOCFORN");
    By procuraFornecedorTituloPagar = By.xpath("//*[@id='NMRAZSOCFORN']/span");
    By tipoOperacaoTituloPagar = By.id("NMTIPOOPER");
    By procuraTipoOperacaoTituloPagar = By.xpath("//*[@id='NMTIPOOPER']/span");
    By nrDocumentoTituloPagar = By.id("NRNOTAFISC");
    By serieTituloPagar = By.id("DSSERIE");
    By limparSerieTituloPagar = By.xpath("//*[@id='DSSERIE']//*[@id='close-x']");
    By procuraSerieTituloPagar = By.xpath("//*[@id='DSSERIE']/span");
    By tipoTituloPagar = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[3]/section/span/ng-include/form/section/div/div[4]/div[1]/div/div[2]");
    By dtEmissaoTituloPagar = By.id("DTEMISSAO");
    By limparDtEmissaoTituloPagar = By.xpath("//*[@class='zh-select-date zh-field-DTEMISSAO']//*[@id='close-x']");
    By dtEntradaTituloPagar = By.id("DTENTRSAID");
    By limparDtEntradaTituloPagar = By.xpath("//*[@class='zh-select-date zh-field-DTENTRSAID']//*[@id='close-x']");
    By tipoContaTituloPagar = By.id("DSTPCTPAGAR");
    By procuraTipoContaTituloPagar = By.xpath("//*[@id='DSTPCTPAGAR']/span");
    By valorTituloPagar = By.xpath("//*[@id='VRNOTAFISC']");
    By clicarDtVencimentoTituloPagar = By.xpath("//div[@data-zh-field-name='DTVENBOLPAG']//div[@class='editable-content']");
    By dtVencimentoTituloPagar = By.xpath("//*[@id=\"grid-10511995313784025344889\"]/div[2]/div/div/div[2]/div/input");
    By procurarCadastroFornecedorTituloPagar = By.xpath("//*[@id=\"popup\"]/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input");
    By acoesTituloPagar = By.xpath("//span[text()= 'Ações']");

    //Campos Baixa
    By procuraContaPagamentoTituloPagar = By.xpath("//*[@id='DSCONTCORR']/span");
    By contaPagamentoTituloPagar = By.xpath("//*[@id='DSCONTCORR']");
    By limpaContaPagTituloPagar = By.xpath("//*[@id='DSCONTCORR']/span[2]");
    By dataBaixaTituloPagar = By.xpath("//*[@id='DTBAIXAPAG']");
    By procuraTipoBaixaTituloPagar = By.xpath("//*[@id='NMTPBAIXAPAG']//span");
    By limpaTipoBaixaPagar = By.xpath("//*[@id='NMTPBAIXAPAG']/span[2]");
    By tipoBaixaTituloPagar = By.xpath("//*[@id='NMTPBAIXAPAG']");
    By observacaoBaixaTituloPagar = By.xpath("//*[@id='DSBAIXAPAG']");
    By msgTipoBaixaTodosTitulosPagar = By.xpath("//span[text()= 'Todos os Títulos']");
    By msgCancelaBaixaTituloPgar = By.xpath("//button//span[text()= 'Baixa']");

    //Campos Prorrogar
    By tipoProrrogacaoTituloPagar = By.xpath("//*[@id='IDTPPROR']");
    By vencimentoProrrogarTituloPagar = By.xpath("//*[@id='DTVENBOLPAG']");
    By motivoProrrogacaoTitulosPagar = By.xpath("//*[@id='DSMOTIPROR']");
    By procuraMotivoProrrogacaoTituloPagar = By.xpath("//*[@id='DSMOTIPROR']//span");
    By unidadeTituloPagar = By.xpath("//*[@id='NMFILIAL']");
    By procuraUnidadeTituloPagar = By.xpath("//*[@id='NMFILIAL']//span");

    //Campo Antecipar Título
    By unidadeOrigemAnteciparTituloPagar = By.xpath("//*[@id='NMFILIORIG']");
    By procurarUniOriAnteciparTituloPagar = By.xpath("//*[@id='NMFILIORIG']/span");
    By fornecedorAnteciparTituloPagar = By.xpath("//*[@id='NMRAZSOCFORN']");
    By procurarFornAnteciparTituloPagar = By.xpath("//*[@id='NMRAZSOCFORN']/span");
    By descricaoAnteciparTituloPagar = By.xpath("//*[@id='DSANTECIPAFORN']");
    By motivoAnteciparTituloPagar = By.xpath("//*[@id='DSMOTIPROR']");
    By procurarMotAnteciparTituloPagar = By.xpath("//*[@id='DSMOTIPROR']/span");
    By vencimentoAnteciparTituloPagar = By.xpath("//*[@id='DTVENCANTECIPA']");
    By emissaoAnteciparTituloPagar = By.xpath("//*[@id='DTEMISANTECIPA']");
    By tipoBaixaAnteciparTituloPagar = By.xpath("//*[@id='NMTPBAIXAPAG']");
    By procuraTpBaixaAnteciparTituloPaga = By.xpath("//*[@id='NMTPBAIXAPAG']/span");

    //Campos Cadastramento Automático
    By unidadeOritemCadAutTituloPagar = By.xpath("//*[@id='NMFILIALRECE']");
    By procuraUnidadeOrigemCadAutTituloPagar = By.xpath("//*[@id='NMFILIALRECE']/span");
    By tipoCadAutTituloPagar = By.xpath("//*[@id='IDSTATUS']");
    By fornecedorCadAutTiuloPagar = By.xpath("//*[@id='NMRAZSOCFORN']");
    By procuraFornCadAutTituloPagar = By.xpath("//*[@id='NMRAZSOCFORN']/span");
    By tipoOperacaoCadAutTituloPagar = By.xpath("//*[@id='NMTIPOOPER']");
    By procuraTpOperCadAutTituloPagar = By.xpath("//*[@id='NMTIPOOPER']//span");
    By serieCadAutTituloPagar =By.xpath("//*[@id='DSSERIE']");
    By procuraSerieCadAutTituloPagar = By.xpath("//*[@id='DSSERIE']//span");
    By valorCadAutTituloPagar = By.xpath("//*[@id='VRNOTAFISC']");
    By primeiroVencCadAutTituloPagar = By.xpath("//*[@id='DTPRIMVENC']");
    By proximoVencCadAutTituloPagar = By.xpath("//*[@id='IDPROXVENC']");
    By numeroDiasCadAutTituloPagar = By.xpath("//*[@id='NRDIASVENC']");
    By tipoContaCadAutTituloPagar = By.xpath("//*[@id='DSTPCTPAGAR']");
    By procuraTpContaCadAutTituloPagar = By.xpath("//*[@id='DSTPCTPAGAR']//span");
    By valorDocCadAutTituloPagar = By.xpath("//*[@id='VRNOTAFISC']");


    //Dados base
    By selecionaUnidadeTituloPagar = By.xpath("//span[text()= '0001']");
    By selecionaFornecedorTituloPagar = By.xpath("//span[text()= '096.154.526-70']");
    By selecionaNomeFornTituloPagar = By.xpath("//span[text()= 'LEANDRO FERREIRA FORNECEDOR']");
    By selecionaCPFFornTituloPagar = By.xpath("//span[text()= '09615452670']");
    By selecionaTipoOperacaoTituloPagar = By.xpath("//span[text()= '01']");
    By selecionaSerieTituloPagar = By.xpath("//span[text()= '1']");
    By selecionaTipoContaTituloPagar = By.xpath("//span[text()= '000002']");
    By selecionarAjusteAcrescerTituloPagar = By.xpath("//span[text()= '0001']");
    By selecionarAjusteDescontoTituloPagar = By.xpath("//span[text()= '0005']");
    By excluirAjusteAcrescerTituloPagar = By.xpath("//span[text()= 'Acréscimo']");
    By excluirAjusteDescontoTituloPagar = By.xpath("//span[text()= 'Desconto']");
    By selecionarTituloPagar = By.xpath("//*[@data-zh-field-name='__CHECKBOX']//span");
    By selecionarTituloCancRemessa = By.xpath("//*[@id=\"grid-10511995312368698244628\"]/div[2]/div/div/div[1]/span[2]");
    By selecionarTituloBaixadoPagar = By.xpath("//*[@data-ng-if='!row.__group']");
    By selecionarContaPagamentoTituloPagar = By.xpath("//span[text()= '002']");
    By selecionaTipoBaixaTituloPagar = By.xpath("//span[text()= '01']");
    By selecionaMotivoProrrogacaoTituloPagar = By.xpath("//span[text()= '01']");
    By selecionaUnidadeAnteciparTituloPagar = By.xpath("//span[text()= '0001']");
    By selecionaMotivoAnteciparTitulopagar = By.xpath("//span[text()= '01']");
    By selecionaTpBaixaAnteciparTituloPAgar = By.xpath("//span[text()= '01']");

    //Abas da tela
    By abaTitulosTituloPagar = By.xpath("//label//a[text() = 'Títulos']");
    By abaAjusteTituloPagar = By.xpath("//label//a[text() = 'Ajuste']");
    By abaParcelamentoTituloPagar = By.xpath("//label//a[text() = 'Parcelamento']");
    By abaDocumentoTituloPagar = By.xpath("//label//a[text() = 'Conta']");
    By abaCnabTituloPagar = By.xpath("//label//a[text() = 'Cnab']");
    By abaBaixaTituloPagar = By.xpath("//label//a[text() = 'Baixa']");
    By abaAnexoTituloPagar = By.xpath("//label//a[text() = 'Anexo']");

    // Aba Ajuste
    By descricaoAjusteTituloPagar = By.id("DSAJUCTPAG");
    By procurarDescricaoAjusteTituloPagar = By.xpath("//*[@id='DSAJUCTPAG']/span");
    By valorAjusteTituloPagar = By.xpath("//*[@id='VRAJBOLPAG']");
    By valorDesejavelTituloPagar = By.xpath("//*[@id='VRDESEBPAG']");

    By loadingWait = By.xpath("//*[@class='zh-background-loading ng-scope']//span[@class='zh-loading-icon']");

    public void preencherNFFiltro (String nfInicial, String nfFinal){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(limparDataFiltroTituloPagar);
        click(clicarDocumentoFiltroTituloPagar);
        waitForVisibilityOfElementLocated(nfInicialFiltroTituloPagar);
        sendKeys(nfInicialFiltroTituloPagar, nfInicial);
        sendKeys(nfFinalFiltroTituloPagar, nfFinal);
        click(aplicarFiltroTituloPagar);

    }
    public void clicarAplicarFiltro (){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(aplicarFiltroTituloPagar);
    }

    public void clicarAdicionarTituloPagar (){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        waitForVisibilityOfElementLocated(adicionarTituloPagar);
        click(adicionarTituloPagar);
    }

    public void limparUnidadeOrigem (){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(limparUnidadeOrigemTituloPagar);
    }

    public void procurarUnidadeOrigem(){
         click(procuraUnidadeOrigemTituloPagar);
    }

    public void selecionarUnidadeOrigem (){
        click(selecionaUnidadeTituloPagar);
    }

    public void preencherFornecedorTituloPagar (String FornecedorTitulosPagar){
        waitForVisibilityOfElementLocated(procuraFornecedorTituloPagar);
        click(procuraFornecedorTituloPagar);
        try {
            Thread.sleep(1000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        click(procurarCadastroFornecedorTituloPagar);
        sendKeys(procurarCadastroFornecedorTituloPagar, FornecedorTitulosPagar);
    }

    public void selecionarFornecedorTituloPagar (){
        click(selecionaFornecedorTituloPagar);
    }

    public void preencherTipoOperacaoTituloPagar (){
        try {
            Thread.sleep(2000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        click(procuraTipoOperacaoTituloPagar);
     }

     public void selecionarTipoOperacaoTituloPagar() {
        click(selecionaTipoOperacaoTituloPagar);
    }

    public void preencherNrDocumentoTituloPagar (String nrDocumento){
        click(nrDocumentoTituloPagar);
        clear(nrDocumentoTituloPagar);
        sendKeys(nrDocumentoTituloPagar,nrDocumento);
    }

    public void preencherSerieTituloPagar() {
        click(limparSerieTituloPagar);
        click(procuraSerieTituloPagar);
    }

    public void selecionarSerieTituloPagar() {
        click(selecionaSerieTituloPagar);

    }

    public void preencherTipoContaTituloPagar() {
        click(procuraTipoContaTituloPagar);
    }

    public void selecionarTipoContaTiluloPagar() {
        click(selecionaTipoContaTituloPagar);
    }

    public void preencherValorTituloPagar (String vrTituloPagar){
        waitForVisibilityOfElementLocated(valorTituloPagar);
        click(valorTituloPagar);
        sendKeys(valorTituloPagar, vrTituloPagar);
    }

    public void clicarVencimentoTituloPagar(){
        waitForVisibilityOfElementLocated(clicarDtVencimentoTituloPagar);
        click(clicarDtVencimentoTituloPagar);
    }

    public void preencherVencimentoTituloPagar (String dtVencimento){
        waitForVisibilityOfElementLocated(dtVencimentoTituloPagar);
        sendKeys(dtVencimentoTituloPagar,dtVencimento);
    }

    public void clicarSalvarTituloPagar (){
        waitForVisibilityOfElementLocated(salvarTituloPagar);
        click(salvarTituloPagar);
    }

    public void clicarSalvarAlteracoesTituloPagar (){
        waitForVisibilityOfElementLocated(salvarAlteracoesTituloPagar);
        click(salvarAlteracoesTituloPagar);
    }

    public void clicarOkTitulosPagar(){
        waitForVisibilityOfElementLocated(loadingWait);
        click(confirmaRegistroTituloPagar);
    }

    public void selecionarTituloPagarAlterar (){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(clicarTituloPagarAlterar);
    }

    public void clicarAbaAjusteTituloPagar(){
        waitForVisibilityOfElementLocated(abaAjusteTituloPagar);
        click(abaAjusteTituloPagar);
    }

    public void incluirExcluirAjusteTituloPagar(String valorAjuste){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        waitForVisibilityOfElementLocated(adicionarAjusteTituloPagar);
        click(adicionarAjusteTituloPagar);
        waitForVisibilityOfElementLocated(procurarDescricaoAjusteTituloPagar);
        click(procurarDescricaoAjusteTituloPagar);
        waitForVisibilityOfElementLocated(selecionarAjusteAcrescerTituloPagar);
        click(selecionarAjusteAcrescerTituloPagar);
        click(valorAjusteTituloPagar);
        sendKeys(valorAjusteTituloPagar, valorAjuste);
        click(salvarTituloPagar);
        click(confirmaRegistroTituloPagar);
        waitForVisibilityOfElementLocated(adicionarAjusteTituloPagar);
        click(adicionarAjusteTituloPagar);
        waitForVisibilityOfElementLocated(procurarDescricaoAjusteTituloPagar);
        click(procurarDescricaoAjusteTituloPagar);
        waitForVisibilityOfElementLocated(selecionarAjusteDescontoTituloPagar);
        click(selecionarAjusteDescontoTituloPagar);
        click(valorAjusteTituloPagar);
        sendKeys(valorAjusteTituloPagar, valorAjuste);
        click(salvarTituloPagar);
        click(confirmaRegistroTituloPagar);
        click(excluirAjusteAcrescerTituloPagar);
        waitForVisibilityOfElementLocated(excluirTituloPagar);
        click(excluirTituloPagar);
        click(confirmarSimTituloPagar);
        click(confirmaRegistroTituloPagar);
        click(excluirAjusteDescontoTituloPagar);
        waitForVisibilityOfElementLocated(excluirTituloPagar);
        click(excluirTituloPagar);
        click(confirmarSimTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(confirmaRegistroTituloPagar);
    }

    public void baixarTituloPagar (String observacaoBaixa) {
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(selecionarTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(acoesTituloPagar);
        click(baixarTituloPagar);
        click(confirmaBaixaSimTituloPagar);
        //click(observacaoBaixaTituloPagar);
        //sendKeys(observacaoBaixaTituloPagar, observacaoBaixa);
        waitForVisibilityOfElementLocated(procuraContaPagamentoTituloPagar);
        click(procuraContaPagamentoTituloPagar);
        waitForInvisibilityOfElementLocated(selecionarContaPagamentoTituloPagar);
        click(selecionarContaPagamentoTituloPagar);
        click(procuraTipoBaixaTituloPagar);
        waitForInvisibilityOfElementLocated(selecionaTipoBaixaTituloPagar);
        click(selecionaTipoBaixaTituloPagar);
        click(msgTipoBaixaTodosTitulosPagar);
        click(confirmaCadastroBaixaTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(confirmaRegistroTituloPagar);
        click(selecionarTituloBaixadoPagar);
        click(acoesTituloPagar);
        waitForInvisibilityOfElementLocated(cancelaBaixaTituloPagar);
        click(cancelaBaixaTituloPagar);
        waitForInvisibilityOfElementLocated(msgCancelaBaixaTituloPgar);
        click(msgCancelaBaixaTituloPgar);
        click(confirmaBaixaSimTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(confirmaRegistroTituloPagar);

    }

    public void prorrogarTituloPagar (String dtVencimento) {
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(selecionarTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(acoesTituloPagar);
        click(prorrogarTituloPagar);
        click(procuraMotivoProrrogacaoTituloPagar);
        click(selecionaMotivoProrrogacaoTituloPagar);
        waitForVisibilityOfElementLocated(vencimentoProrrogarTituloPagar);
        click(vencimentoProrrogarTituloPagar);
        sendKeys(vencimentoProrrogarTituloPagar,dtVencimento);
        click(confirmarTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(confirmaRegistroTituloPagar);
    }

    public void anteciparTituloPagar (String dtVencimento, String dtEmissao, String descAntecipar, String FornecedorTitulosPagar){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(selecionarTituloPagar);
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(acoesTituloPagar);
        click(anteciparTituloPagar);
        click(procurarUniOriAnteciparTituloPagar);
        click(selecionaUnidadeAnteciparTituloPagar);
        waitForVisibilityOfElementLocated(procurarFornAnteciparTituloPagar);
        waitForVisibilityOfElementLocated(procurarFornAnteciparTituloPagar);
        click(procurarFornAnteciparTituloPagar);
        click(procurarCadastroFornecedorTituloPagar);
        sendKeys(procurarCadastroFornecedorTituloPagar, FornecedorTitulosPagar);
        click(selecionaNomeFornTituloPagar);
        waitForVisibilityOfElementLocated(motivoAnteciparTituloPagar);
        click(procuraMotivoProrrogacaoTituloPagar);
        click(selecionaMotivoAnteciparTitulopagar);
        sendKeys(descricaoAnteciparTituloPagar,descAntecipar);
        click(procuraTpBaixaAnteciparTituloPaga);
        click(selecionaTipoBaixaTituloPagar);
        click(finalizarTituloPagar);
    }

    public void cadastramentoAutomatico (String FornecedorTitulosAPagar, String valorTituloCadAut){
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(acoesTituloPagar);
        click(cadastramentoAutTituloPagar);
        waitForVisibilityOfElementLocated(fornecedorCadAutTiuloPagar);
        click(procuraFornCadAutTituloPagar);
        sendKeys(procurarCadastroFornecedorTituloPagar, FornecedorTitulosAPagar);
        waitForVisibilityOfElementLocated(clicarTituloPagarAlterar);
        try {
            Thread.sleep(4000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        click(selecionaCPFFornTituloPagar);
        waitForVisibilityOfElementLocated(procuraUnidadeOrigemCadAutTituloPagar);
        click(procuraUnidadeOrigemCadAutTituloPagar);
        click(selecionaUnidadeTituloPagar);
        waitForVisibilityOfElementLocated(procuraTpOperCadAutTituloPagar);
        click(procuraTpOperCadAutTituloPagar);
        click(selecionaTipoOperacaoTituloPagar);
        waitForVisibilityOfElementLocated(procuraSerieCadAutTituloPagar);
        click(procuraSerieCadAutTituloPagar);
        click(selecionaSerieTituloPagar);
        waitForVisibilityOfElementLocated(tipoContaCadAutTituloPagar);
        click(procuraTpContaCadAutTituloPagar);
        click(selecionaTipoContaTituloPagar);
        click(valorCadAutTituloPagar);
        sendKeys(valorCadAutTituloPagar,valorTituloCadAut);
        click(finalizarTituloPagar);
    }

    public void gerarRemessa() {
        click(selecionaFornecedorTituloPagar);
        click(editarTituloPagar);
        click(procuraTipoBaixaTituloPagar);
        click(selecionaTipoBaixaTituloPagar);
        click(procuraContaPagamentoTituloPagar);
        click(selecionarContaPagamentoTituloPagar);
        click(salvarTituloPagar);
        click(confirmaRegistroTituloPagar);
        click(voltarTituloPagar);
        waitForVisibilityOfElementLocated(selecionarTituloPagar);
        click(selecionarTituloPagar);
        click(acoesTituloPagar);
        click(gerarRemessaTituloPagar);
        click(confirmarSimTituloPagar);
        click(procuraContaPagamentoTituloPagar);
        click(selecionarContaPagamentoTituloPagar);
        click(procuraUnidadeTituloPagar);
        click(selecionaUnidadeTituloPagar);
        click(confirmarTituloPagar);
        waitForVisibilityOfElementLocated(confirmaRegistroTituloPagar);
        click(confirmaRegistroTituloPagar);
    }

    public void cancelaRemessa (){
        click(selecionarTituloCancRemessa);
        click(acoesTituloPagar);
        click(cancelaRemessaTituloPagar);
        click(confirmaCancelaRemessaTituloPagar);
        click(confirmarSimTituloPagar);
        click(confirmaRegistroTituloPagar);
        click(selecionaFornecedorTituloPagar);
        click(editarTituloPagar);
        click(limpaTipoBaixaPagar);
        click(limpaContaPagTituloPagar);
        click(salvarTituloPagar);
        click(confirmaRegistroTituloPagar);
    }
}
