package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;
import java.util.concurrent.TimeUnit;

public class AgenciaExcluirPage extends PageBase {

    //Navegar até a tela banco

    By Financeiro = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/header/div/div/ul/li[1]/label/a");
    By MENU = By.xpath("//div[@class='bars']");
    By BotaoProcurar = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[1]/section/input");

    By Agencia =  By.xpath("//*[text() = 'Agência']");
    By CampoBanco = By.cssSelector("#NMBANCO");
    By OpcaoCampoBanco =   By.xpath("//*[text() = '001 | BANCO DO BRASIL']");

    By AplicarFiltro = By.cssSelector("#footer > div.zh-footer-right > ul > li > a > span");

    By AgenciaTeste = By.xpath("//*[@id=\"grid-1927843453876122292522\"]/div[2]/div/div[1]/div[2]/span");
    By Excluir = By.cssSelector("#footer > div.zh-footer-center > ul > li:nth-child(2) > a > div");
    By Sim = By.xpath("/html/body/span/section/section/div[2]/aside[1]/aside/section/footer/button[1]");

    public void NavegarParaAgencia(String Procurar) {
        waitForElement(Financeiro);
        waitForElement(MENU);
        click(MENU);
        click(BotaoProcurar);
        clear(BotaoProcurar);
        sendKeys(BotaoProcurar, Procurar);
        click(Agencia);
    }

    public void Filtro() {
        waitForElement(CampoBanco);
        click(CampoBanco);
        click(OpcaoCampoBanco);
        click(AplicarFiltro);
    }

    public void AgenciaExcluir() {
        waitForElement(AgenciaTeste);
        click(AgenciaTeste);
        click(Excluir);
        click(Sim);
    }

    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }

}
